#From a debian image you will add the appropriate sources to create a TeamSpeak
#server, that will launch along with your container. It will be deemed valid if at least
#one user can connect to it and engage in a normal discussion (no far-fetched setup), so
#be sure to create your Dockerfile with the right options. Your program should get the
#sources when it builds, they cannot be in your repository.

#USAGE -> docker build -t ts3 .
#      -> docker run -p 9987:9987/udp -p 10011:10011 -p 30033:30033 -d ts3

FROM debian

EXPOSE 9987/udp 30033 10011

RUN apt-get update \
	&& apt-get install wget bzip2 wget ca-certificates -y \
	&& adduser --disabled-password --gecos "" teamspeak

WORKDIR /home/teamspeak

RUN wget http://dl.4players.de/ts/releases/3.0.11.1/teamspeak3-server_linux-amd64-3.0.11.1.tar.gz \
	&& tar -xzvf *.tar.gz && rm *.tar.gz

WORKDIR teamspeak3-server_linux-amd64

CMD ["sh", "ts3server_minimal_runscript.sh"]